



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Amber TUTORIAL 4b: Using Antechamber to Create LEaP Input Files for Simulating Sustiva (efavirenz)-RT complex using the General Amber Force Field (GAFF)</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Amber TUTORIAL 4b: Using Antechamber to Create LEaP Input Files for Simulating Sustiva (efavirenz)-RT complex using the General Amber Force Field (GAFF)</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 19:42:29 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><a href="http://ambermd.org/tutorials/basic/tutorial4b/files/sustiva.pdb" rel="external nofollow noreferrer">sustiva.pdb</a></p>
<p>PDB:&nbsp;<a href="https://www.rcsb.org/structure/1FKO" rel="external nofollow noreferrer">1FKO</a></p>
<h2>Create parameter and coordinate files for Sustiva</h2>
<p>1. 加氢：</p>
<div>
<pre class="prettyprint linenums">$ reduce sustiva.pdb &gt; sustiva_h.pdb </pre>
</div>
<p>sed -i s/"EFZ"/"SUS"/g&nbsp;sustiva_h.pdb</p>
<p>加氢完毕后把文件内所有&ldquo;EFZ&rdquo;换为&ldquo;SUS&rdquo;。</p>
<p>2.转换为mol2格式：</p>
<div>
<pre class="prettyprint linenums">$ antechamber -i sustiva_new.pdb -fi pdb -o sustiva.mol2 -fo mol2 -c bcc -s </pre>
</div>
<p>Here the <strong>-i sustiva.pdb</strong> specifies the name of the 3D structure file and the <strong>-fi pdb</strong> tells antechamber that this is a pdb format file (we could easily have used any number of other supported formats including Gaussian Z-Matrix [gzmat], Gaussian Output [gout], MDL [mdl], amber Restart [rst], Sybyl Mol2 [mol2]). The <strong>-o sustiva.mol2</strong> specifies the name of our output file and the <strong>-fo mol2</strong> states that we want the output file to be of Tripos Mol2 format (this is an internal format supported by LEaP). The <strong>-c bcc</strong> option tells antechamber to use the AM1-BCC charge model in order to calculate the atomic point charges while the <strong>-s 2</strong> option defines the verbosity of the status information provided by antechamber. In this case we have selected verbose output (2).</p>
<p>3.用parmchk检查参数的可用性：</p>
<div>
<pre class="prettyprint linenums">$ parmchk -i sustiva.mol2 -f mol2 -o sustiva.frcmod</pre>
</div>
<p>此命令产生参数文件sustiva.frcmod</p>
<p>We can see that there were a total of 4 missing angle parameters and 4 missing improper dihedrals in "sustiva.frcmod".&nbsp;For the purposes of this tutorial we shall assume that the parameters Antechamber has suggested for us are acceptable. Ideally you should really test these parameters (by comparing to&nbsp;<em>ab initio</em>&nbsp;calculations for example) to ensure they are reasonable. If you see any parameters listed with the comment "ATTN: NEEDS REVISION" then it means that Antechamber could not determine suitable parameters and so you must manually provide these before you can proceed with the simulation. By default Antechamber will have set the values to zero.</p>
<p>4.加载sustiva到LEaP中：</p>
<p>打开LEaP：</p>
<div>
<pre class="prettyprint linenums">$ tleap -f oldff/leaprc.ff99SB</pre>
</div>
<p>加载：</p>
<div>
<pre class="prettyprint linenums">&gt; source leaprc.gaff

&gt; SUS = loadmol2 sustiva.mol2 

&gt; check SUS

&gt; loadamberparams sustiva.frcmod

&gt; check SUS

&gt; saveoff SUS sus.lib 

&gt; saveamberparm SUS sustiva.prmtop sustiva.inpcrd</pre>
</div>
<h2>Creating topology and coordinate files for Sustiva-RT complex</h2>
<p><a href="http://ambermd.org/tutorials/basic/tutorial4b/files/1FKO_trunc_sus.pdb" rel="external nofollow noreferrer">1FKO_trunc_sus.pdb</a></p>
<p>1.LEaP</p>
<p>打开LEaP</p>
<div>
<pre class="prettyprint linenums">$ tleap -f oldff/leaprc.ff99SB</pre>
</div>
<p>载入参数：</p>
<div>
<pre class="prettyprint linenums">&gt; source leaprc.gaff<br /># 加载sustiva力场参数文件<br />
&gt; loadamberparams sustiva.frcmod<br />
&gt; loadoff sus.lib<br />
# 再加载复合物<br />
&gt; complex = loadpdb 1FKO_trunc_sus.pdb<br />
# 保存<br />
&gt; saveamberparm complex 1FKO_sus.prmtop 1FKO_sus.inpcrd 

&gt; savepdb complex 1FKO_sus.pdb

&gt; quit</pre>
</div>
<p>也可把上述命令存为<a href="http://ambermd.org/tutorials/basic/tutorial4b/files/tleap2.in" rel="external nofollow noreferrer">tleap2.in</a>，使用&nbsp;tleap -f tleap2.in&nbsp;产生复合体pdb。</p>
<h2>Minimize and Equilibrate the Sustiva-RT complex</h2>
<p>1.准备优化输入文件:</p>
<div>
<pre class="prettyprint linenums">$$$ min.in

Initial minimisation of sustiva-RT complex<br />
 &amp;cntrl<br />
  imin=, maxcyc=, ncyc=,<br />
  cut=, ntb=, igb=,<br />
 &amp;end</pre>
</div>
<p>2.运行优化程序：</p>
<div>
<pre class="prettyprint linenums">sander -O -i min.in -o 1FKO_sus_min.out -p 1FKO_sus.prmtop -c 1FKO_sus.inpcrd  -r 1FKO_sus_min.crd  &amp;</pre>
</div>
<p>3.查看pdb：</p>
<div>
<pre class="prettyprint linenums">ambpdb -p 1FKO_sus.prmtop -c 1FKO_sus_min.crd &gt; 1FKO_sus_min.pdb</pre>
</div>
<p>4.准备MD run文件：</p>
<div>
<pre class="prettyprint linenums">$$$ eq.in

Initial MD equilibration<br />
 &amp;cntrl<br />
  imin=, irest=,<br />
  nstlim=,dt=0.001, ntc=,<br />
  ntpr=, ntwx=,<br />
  cut=, ntb=, igb=,<br />
  ntt=, gamma_ln=1.0,<br />
  tempi=0.0, temp0=300.0,<br />
 &amp;end</pre>
</div>
<p>We will run MD (<strong>imin=0</strong>) and this is not a restart (<strong>irest=0</strong>). In this example we will not use shake since it is possible that the hydrogen motion may effect the binding energy (probably not, but it serves as an example here). As we are not using shake we will need a time step smaller than normal. Here I will use a time step of 1 fs and run for 1000 steps [2 ps] (<strong>dt = 0.001, nstlim=1000, ntc=1</strong>). We will also write to our output file every 20 steps and to our trajectory [mdcrd] file every 20 steps (<strong>ntpr=20,ntwx=20</strong>). For temperature control we will use a Langevin dynamics approach with a collision frequency of 1 ps^-1. We will start our system at 0K and we want a target temperature of 300K (<strong>ntt=3, gamma_ln=1.0, tempi=0.0, temp0=300.0</strong>).</p>
<p>5.heat &amp;&amp;&nbsp;equilibrium</p>
<div>
<pre class="prettyprint linenums">sander -O -i eq.in -o 1FKO_sus_eq.out -p 1FKO_sus.prmtop -c 1FKO_sus_min.crd  -r 1FKO_sus_eq.rst -x 1FKO_sus_eq.mdcrd &amp;</pre>
</div>
<p>6.查看pdb：</p>
<div>
<pre class="prettyprint linenums">ambpdb -p 1FKO_sus.prmtop -c 1FKO_sus_eq.mdcrd &gt; 1FKO_sus_eq.pdb</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqv1mzyq.html">java中的反射简单实例</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zklmd8.html">MultiThread</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4d4mnq.html">新手上路，配置阿里云CentOS服务器LAMP</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96rpnv9.html">shell 初学者 必读 ，强烈推荐新手读</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2z4xwq.html">SQL中Where与Having的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw74zk8.html">CDH介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8oxrdx8.html">imx6dl i2c4 support</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xpzv09.html">Modelsim的demo入门教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdyd1z8.html">在eclipse中安装activiti插件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvxeexq.html">月赛-Crackhash</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdj4049.html">WASP&lowbar;百度百科</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg4pzd8.html">拓扑排序&amp;lt&semi;反向拓扑&plus;有向环的判断&amp;gt&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd36zk9.html">从零开始的JS生活（一）&mdash;&mdash;JS简介、变量及基本结构</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z7g659.html">创建Windows服务&lpar;C&plus;&plus;&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y3zgn8.html">CentOS6&period;x服务器OpenSSH平滑7&period;3p版本&mdash;&mdash;拒绝服务器漏洞攻击</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yzr108.html">freeCodeCamp中一些有趣的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rn3339.html">php时间戳与日期转换</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pp6yvd9.html">判断字符串String是否为空问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4pw71q.html">Nginx伪静态配置和常用Rewrite伪静态规则集锦</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1yx6e9.html">ubuntu下修改文件夹权限</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qnvey228.html">二叉苹果树&vert;codevs5565&vert;luoguP2015&vert;树形DP&vert;Elena</a>
			</li>
						<li><a href="https://www.batexi.com/a/960nyy39.html">Processing-基础小坑-</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o1rg3xq.html">&period;NET Core开发日志&mdash;&mdash;Startup</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o1gpg8.html">autofac生命周期入门（如何避免内存泄漏）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwvg079.html">React event</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwvgvx9.html">deepin中idea中文乱码解决</a>
			</li>
						<li><a href="https://www.batexi.com/a/93w1310q.html">C和C指针小记&lpar;八&rpar;-操作符、左值右值</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2wjyx9.html">typeof&lpar;&rpar;&comma; &lowbar;&lowbar;typeof&lpar;&rpar;&comma; &lowbar;&lowbar;typeof&lowbar;&lowbar;&lpar;&rpar;&comma; -isKindOfClass&colon;的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/93w1g20q.html">java发送get，post请求</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjzd559.html">&lbrack;daily&rsqb; pandoc</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
